Bug 831474 - SELinux is preventing totem-plugin-vi from 'setattr' accesses on the directory at-spi2.
SELinux is preventing totem-plugin-vi from 'setattr' accesses on the director...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:8f631f68274b679eec5feb79d26...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-13 01:25 EDT by Nestor
Modified: 2012-07-19 05:17 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-19 20:29:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nestor 2012-06-13 01:25:19 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.4.0-1.fc17.i686
time:           mié 13 jun 2012 00:53:33 VET

description:
:SELinux is preventing totem-plugin-vi from 'setattr' accesses on the directory at-spi2.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If cree que de manera predeterminada, totem-plugin-vi debería permitir acceso setattr sobre  at-spi2 directory.     
:Then debería reportar esto como un error.
:Puede generar un módulo de política local para permitir este acceso.
:Do
:permita el acceso momentáneamente executando:
:# grep totem-plugin-vi /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
:                              0.c1023
:Target Context                system_u:object_r:xdm_tmp_t:s0
:Target Objects                at-spi2 [ dir ]
:Source                        totem-plugin-vi
:Source Path                   totem-plugin-vi
:Port                          <Desconocido>
:Host                          (removed)
:Source RPM Packages           
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-128.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.4.0-1.fc17.i686 #1 SMP Sun
:                              Jun 3 07:16:04 UTC 2012 i686 i686
:Alert Count                   1
:First Seen                    mar 12 jun 2012 23:38:12 VET
:Last Seen                     mar 12 jun 2012 23:38:12 VET
:Local ID                      8ea5f2db-685a-4215-9553-13720d978dbf
:
:Raw Audit Messages
:type=AVC msg=audit(1339560492.873:308): avc:  denied  { setattr } for  pid=9398 comm="totem-plugin-vi" name="at-spi2" dev="dm-1" ino=262189 scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=system_u:object_r:xdm_tmp_t:s0 tclass=dir
:
:
:Hash: totem-plugin-vi,mozilla_plugin_t,xdm_tmp_t,dir,setattr
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Daniel Walsh 2012-06-13 17:50:03 EDT
This should definitely be dontaudited.  I see no reason why it should be allowed to do this.

Fixed in selinux-policy-3.10.0-131.fc17
Comment 2 Fedora Update System 2012-06-19 03:58:37 EDT
selinux-policy-3.10.0-132.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-132.fc17
Comment 3 Fedora Update System 2012-06-19 20:29:03 EDT
selinux-policy-3.10.0-132.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2012-07-19 05:17:01 EDT
selinux-policy-3.10.0-132.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.